#ifndef __FONT__
#define __FONT__

#define TRANS			0
#define SOLID			1
#define INVERSE			2


struct FONT_DEF {
   const unsigned int glyph_width;		/* glyph width in pixels              	*/
						/*     0 for variable width fonts     	*/
   const unsigned int glyph_height;             /* glyph height for storage           	*/
   const unsigned char *glyph_table;         	/* font table start address in memory 	*/
   const unsigned char *mapping_table;       	/* used to find the index of a glyph  	*/
   const unsigned char *width_table;         	/* width table start adress           	*/
						/*        NULL for fixed width fonts  	*/
   const unsigned int *offset_table;         	/* ks the offsets of the first byte	*/
};

extern void GLCD_PRINT_p(unsigned char x,unsigned char y, const char *in, const struct FONT_DEF *struct1, unsigned char invers);
extern void GLCD_PRINT(unsigned char x,unsigned char y, const char *in, const struct FONT_DEF *struct1, unsigned char invers);
extern int GLCD_STRLEN(const char *in, const struct FONT_DEF *struct1);
extern uint8_t GLCD_CHAR(unsigned char x,unsigned char y, char in, const struct FONT_DEF *struct1);
#define GLCD_PRINT_P(__x, __y, __in, __s1, __i)       GLCD_PRINT_p(__x,__y,PSTR(__in),__s1,__i)
int GLCD_GET_FONT_HEIGHT( const struct FONT_DEF *struct1);

#endif
                                  

